effect clear @a hunger

#husk for gold
execute as @a[scores={killHusk=1..}] run scoreboard players add @s gold 1
execute as @a[scores={killHusk=1..}] run tellraw @s [{"text":"+1 gold","color":"yellow"}]
execute as @a[scores={killHusk=1..}] run scoreboard players reset @s killHusk

#illusioner/evoker
tp @e[type=evoker,tag=illusionerDummy,limit=1] 463 8 -952 90 0
execute as @e[type=evoker,tag=illusionerDummy] at @s run particle witch ~ ~1 ~ 0.4 0.2 0.4 0 10 force

#encounter illusioner
execute as @a[scores={player=1..},x=444,y=5,z=-962,dx=5,dy=10,dz=24] if block 450 17 -952 spruce_leaves as @e[type=husk,tag=husk] run data merge entity @s {Silent:0}
execute as @a[scores={player=1..},x=444,y=5,z=-962,dx=5,dy=10,dz=24] if block 450 17 -952 spruce_leaves run tp @e[type=evoker,tag=illusionerDummy] ~ ~-200 ~
execute as @a[scores={player=1..},x=444,y=5,z=-962,dx=5,dy=10,dz=24] if block 450 17 -952 spruce_leaves run kill @e[type=evoker,tag=illusionerDummy]
execute as @a[scores={player=1..},x=444,y=5,z=-962,dx=5,dy=10,dz=24] if block 450 17 -952 spruce_leaves as @e[type=evoker,tag=illusionerDummy] at @s run playsound entity.illusioner.mirror_move master @a ~ ~ ~ 2
execute as @a[scores={player=1..},x=444,y=5,z=-962,dx=5,dy=10,dz=24] if block 450 17 -952 spruce_leaves run fill 452 17 -954 448 13 -950 air destroy

#open darcy cage
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] as @e[name=Darcy,type=villager] at @s run playsound entity.illusioner.prepare_mirror master @a ~ ~ ~ 5
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] as @e[name=Darcy,type=villager] at @s run particle poof ~ ~1 ~ 0.5 0.5 0.5 0 200 force
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] as @e[name=Darcy,type=villager] at @s run summon husk ~ ~ ~ {Silent:1,PersistenceRequired:1,IsBaby:0,Tags:["husk"],Health:20,Attributes:[{Name:"generic.followRange",Base:50.0},{Name:"generic.maxHealth",Base:20.0},{Name:"generic.movementSpeed",Base:0.30},{Name:"generic.knockbackResistance",Base:0.3},{Name:"zombie.spawnReinforcements",Base:0.0}]}
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] run tp @e[name=Darcy,type=villager,limit=1] ~ ~100 ~
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] run tp @e[name=Darcy,type=villager,limit=1] @e[tag=controller,type=armor_stand,limit=1]
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] run setblock 468 8 -952 air destroy
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] run fill 469 11 -951 471 8 -953 air destroy
execute as @e[tag=controller,tag=openDarcyCage,type=armor_stand] run tag @s remove openDarcyCage

#letter mechanics
tag @a remove letter
tag @a[nbt={SelectedItem:{id:"minecraft:paper",Count:1b,tag:{display:{Name:'{"text":"Letter"}'}}}}] add letter
execute as @a[tag=letter,tag=!letter2] run playsound item.armor.equip_leather master @s ~ ~ ~ 1000
execute if entity @e[tag=controller,type=armor_stand,scores={count=1}] run tellraw @a[tag=letter,tag=!letter2] [{"text":"The letter reads: ","color":"aqua","bold":"true"},{"text":"Dear witch hunter, we are in desperate need of your help once again. We understand you typically target witches, but Darcy has been kidnapped by an illusioner, and we were hoping you'd make an exception. This illusioner was supposedly trained under the witch you killed a while back. The illusioner took Darcy from Twilight Town then disappeared, we need your help with tracking him down and rescuing Darcy. I'll be able to give you more details once you arrive back at Twilight Town. Gatekeeper Joe will escort you back, he will be waiting for you on the path outside of your house.","color":"white","bold":"false"}]
execute if entity @e[tag=controller,type=armor_stand,scores={count=2..}] run tellraw @a[tag=letter,tag=!letter2] [{"text":"The letter reads: ","color":"aqua","bold":"true"},{"text":"Dear witch hunters, we are in desperate need of your help once again. We understand you typically target witches, but Darcy has been kidnapped by an illusioner, and we were hoping you'd make an exception. This illusioner was supposedly trained under the witch you killed a while back. The illusioner took Darcy from Twilight Town then disappeared, we need your help with tracking him down and rescuing Darcy. I'll be able to give you more details once you arrive back at Twilight Town. Gatekeeper Joe will escort you back, he will be waiting for you on the path outside of your house.","color":"white","bold":"false"}]
tellraw @a[tag=letter,tag=!letter2] {"text":"From: Mayor Wendall"}
execute if entity @e[tag=controller,tag=!letter] as @a[tag=letter,tag=!letter2] run tag @e[tag=controller] add letter
tag @a remove letter2
tag @a[nbt={SelectedItem:{id:"minecraft:paper",Count:1b,tag:{display:{Name:'{"text":"Letter"}'}}}}] add letter2
tag @a[nbt={Inventory:[{id:"minecraft:paper",tag:{display:{Name:'{"text":"Letter"}'}}}]}] add hasLetter
execute as @a[tag=hasLetter,limit=1] run give @a[scores={player=1..},tag=!hasLetter] paper{display:{Name:'{"text":"Letter"}'}}

#talk to gatekeeper initial
execute as @e[type=armor_stand,tag=controller,scores={scene=1},tag=!letter] as @e[tag=housekeeper,type=villager] at @s run tellraw @a[scores={talk=1},distance=..5] [{"text":"Gatekeeper Joe: ","color":"gold","bold":"true"},{"text":"Hold the letter in your hand to read it, then talk to me to head back to Twilight Town.","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={scene=1},tag=!letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] at @s run playsound entity.chicken.egg master @s ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={scene=1},tag=!letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},distance=..5] run scoreboard players reset * talk

execute as @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},limit=1,distance=..5] run tellraw @a [{"text":"[1/2] ","color":"gray","bold":"true"},{"text":"Gatekeeper Joe: ","color":"gold","bold":"true"},{"text":"I'm glad you could make it. I can take us back to Twilight Town from here.","color":"gold","bold":"false"}]
execute as @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},limit=1,distance=..5] as @a at @s run playsound entity.chicken.egg master @a ~ ~ ~ 1000
execute as @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},limit=1,distance=..5] run kill @e[type=husk]
execute as @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},limit=1,distance=..5] at @e[tag=housekeeper] run tp @a[distance=7..,scores={player=1..}] @p
execute as @e[type=armor_stand,tag=controller,scores={scene=1,timer=0},tag=letter] as @e[tag=housekeeper,type=villager] at @s as @a[scores={talk=1},limit=1,distance=..5] run scoreboard players set @e[tag=controller] timer 1

execute as @e[type=armor_stand,tag=controller,scores={scene=1,time=90}] run replaceitem entity @a[scores={player=1..}] armor.head carved_pumpkin{HideFlags:1,Enchantments:[{id:binding_curse,lvl:1}],display:{Name:'{"text":""}'}}

execute as @e[type=armor_stand,tag=controller,scores={scene=1,time=130}] run function single:day1pt1